#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define prel	beta1

%define rel	1

Name:		wacomtablet
Version: 6.3.91
Release:	%mkrel %{rel}
Summary:	KCM module to configure Wacom linux Drivers
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://userbase.kde.org/Wacomtablet
Source0:	https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		wacomtablet-fix-desktop-file.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6KIO)

BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(Plasma5Support)

BuildRequires:	gettext
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(xi)

Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule
Requires:	x11-driver-input-wacom

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.

%files
%doc AUTHORS COPYING README.md
%license COPYING

#-----------------------------------------------------------------------

%package -n plasma-applet-%{name}
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Requires:	plasma-dataengine-%{name} = %{version}
Provides:	plasma-applet

%description -n plasma-applet-%{name}
This package provides a plasma applet for %{name}.

%files -n plasma-applet-%{name} -f plasma_applet_org.kde.plasma.wacomtablet.lang
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{name}/
%{_kf6_datadir}/plasma5support/services/%{name}.operations

#-----------------------------------------------------------------------

%package -n plasma-dataengine-%{name}
Summary:	Plasma dataengine for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description -n plasma-dataengine-%{name}
This package provides the engine of the %{name} plasma applet.

%files -n plasma-dataengine-%{name}
%{_qt6_plugindir}/plasma5support/dataengine/plasma_engine_%{name}.so

#-----------------------------------------------------------------------

%package tabletfinder
Summary:	Tabletfinder tool for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description tabletfinder
This package provides a tabletfinder tool for %{name}.

%files tabletfinder
%{_kf6_bindir}/kde_wacom_tabletfinder
%{_kf6_applicationdir}/kde_wacom_tabletfinder.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	Kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}

%description kcmodule
This package provides the necessary files for kcmmodule.

%files kcmodule -f %{name}.lang
%doc AUTHORS COPYING README.md
%license COPYING
%{_kf6_categoriesdir}/wacomtablet.categories
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_wacomtablet.so
%{_kf6_docdir}/HTML/*/kcontrol/%{name}/
%{_kf6_datadir}/%{name}/
%{_kf6_metainfodir}/org.kde.plasma.%{name}.appdata.xml
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf6_applicationsdir}/kcm_wacomtablet.desktop

#-----------------------------------------------------------------------

%package kded
Summary:	Kded module for %{name}
Group:		Graphical desktop/KDE

%description	kded
This package provides the kded module and dbus files for %{name}.

%files kded
%{_kf6_plugindir}/kded/wacomtablet.so
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/dbus-1/interfaces/org.kde.Wacom*.xml

#-----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang plasma_applet_org.kde.plasma.wacomtablet


%changelog
* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2187056
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181406
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172677
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163339
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152503
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149429
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146958
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140855
- New version 6.2.91

* Wed Jan 15 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2139257
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134211
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119084
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113194
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110076
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107250
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104481
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095431
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083943
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079150
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076751
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074860
- New version 6.1.0

* Wed Jun 05 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069890
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057951
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052524
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049432
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048180
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045038
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036827
- New version 5.93.0

* Thu Jan 11 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2030118
- New version 5.92.0

* Wed Jan 03 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2026422
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Tue Nov 14 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006750
- New version 5.27.80

* Tue Aug 02 2022 tv <tv> 3.2.0-8.mga9
+ Revision: 1874345
- Fix filelist

* Tue Feb 01 2022 neoclust <neoclust> 3.2.0-7.mga9
+ Revision: 1770869
- Rebuild against new libwacom
+ tv <tv>
- Rebuild for new libwacom

* Thu Dec 17 2020 umeabot <umeabot> 3.2.0-5.mga8
+ Revision: 1660294
- Rebuild for new Qt5

* Sun Jul 19 2020 daviddavid <daviddavid> 3.2.0-4.mga8
+ Revision: 1607204
- add upstream patches to fix build with Qt 5.15

* Thu May 28 2020 daviddavid <daviddavid> 3.2.0-3.mga8
+ Revision: 1588532
- switch appdata files to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1527672
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Jul 22 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1423458
- new version: 3.2.0

* Tue Apr 02 2019 daviddavid <daviddavid> 3.1.1-2.mga7
+ Revision: 1385254
- add patch to fix build without XLIB
+ umeabot <umeabot>
- Qt5 Rebuild

* Fri Dec 21 2018 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1344233
- new version: 3.1.1

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1301650
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1239156
- new version: 3.1.0

* Sun Apr 08 2018 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1216127
- new version: 3.0.0 (final)
- rediff fix-desktop-file patch
+ animtim <animtim>
- update to a working snapshot

* Fri Sep 16 2016 daviddavid <daviddavid> 3.0.0-0.beta1.3.mga6
+ Revision: 1053505
- update file list adding an appdata file

* Sat Apr 30 2016 daviddavid <daviddavid> 3.0.0-0.beta1.2.mga6
+ Revision: 1008076
- new version: 3.0.0-beta1
- port to Qt5/kf5
- update URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-4.mga5
+ Revision: 743000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-3.mga5
+ Revision: 690260
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 533786
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 2.0-1.mga4
+ Revision: 475421
- new version 2.0

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 385589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 mikala <mikala> 1.3.6-1.mga2
+ Revision: 198731
- Update tarball to 1.3.6
- Add requires for the wacom driver
- Fix some rpmlint warnings

* Wed Nov 30 2011 mikala <mikala> 1.3.5-1.mga2
+ Revision: 174615
- Update tarball to 1.3.5
- remove %%defattr() & %%clean section
- fix use of kde macros

* Sun Jun 12 2011 mikala <mikala> 1.3.2-0.mga2
+ Revision: 104516
- Update tarball to 1.3.2
- Fix file list.

* Tue May 03 2011 mikala <mikala> 1.3-0.mga1
+ Revision: 94442
- imported package wacomtablet

